slepc-3.21.1 2024-04-26
Report Typos and Errors

# SVDConvergedReason

Reason a singular value solver was said to have converged or diverged

### Synopsis

    typedef enum {/* converged */
                  SVD_CONVERGED_TOL                =  1,
                  SVD_CONVERGED_USER               =  2,
                  SVD_CONVERGED_MAXIT              =  3,
                  /* diverged */
                  SVD_DIVERGED_ITS                 = -1,
                  SVD_DIVERGED_BREAKDOWN           = -2,
                  SVD_DIVERGED_SYMMETRY_LOST       = -3,
                  SVD_CONVERGED_ITERATING          =  0 } SVDConvergedReason;

### See Also

SVDSolve(), SVDGetConvergedReason(), SVDSetTolerances()

### Level

intermediate

### Location

include/slepcsvd.h
Index of all SVD routines
Table of Contents for all manual pages
Index of all manual pages